Bug 1010043 - Feature Request: rhc-fix-stale-frontend needs option to run non-interactively
Feature Request: rhc-fix-stale-frontend needs option to run non-interactively
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 15:01 EDT by Thomas Wiest
Modified: 2015-05-14 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:29:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2013-09-19 15:01:42 EDT
Description of problem:

This is a feature request.

right now rhc-fix-stale-frontend requires user interaction from the administration to run the command.  Here is the output:

========================================================
Deleting names and any associated aliases from the frontend:
	kindlebldr-gengcheng.rhcloud.com
Hit 'y' to continue, anything else to abort.
y
Deleting from ApacheDBNodes...
Deleting from ApacheDBAliases...
Deleting from ApacheDBIdler...
Deleting from ApacheDBSTS...
Deleting from NodeJSDBRoutes...
Deleting from GearDB...
Done
========================================================

It would be good to have an option, like -y or -b, to tell the program to do this automatically.  That way we can script this to fix problems without having to be on the instance.


Version-Release number of selected component (if applicable):
rhc-node-1.14.6-1.el6oso.x86_64

How reproducible:
very, simply run the command
Comment 1 openshift-github-bot 2013-09-20 07:04:36 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/e32424ba7eded56c8cd8608c2efa4c39ac2c6368
Bug 1010043 - Add -b option for rhc-fix-stale-frontend
Comment 2 Qiushui Zhang 2013-09-22 22:45:16 EDT
Tested on devenv_3810

Now with "-b" option, the script will start automatically, non-interactively.

[root@ip-10-164-80-117 ~]# rhc-fix-stale-frontend -b kindlebldr-gengcheng.rhcloud.com
Deleting names and any associated aliases from the frontend:
	kindlebldr-gengcheng.rhcloud.com
Deleting from ApacheDBNodes...
Deleting from ApacheDBAliases...
Deleting from ApacheDBIdler...
Deleting from ApacheDBSTS...
Deleting from NodeJSDBRoutes...
Deleting from GearDB...
Done

Mark it as fixed.

Note You need to log in before you can comment on or make changes to this bug.